Package com.smartgwt.client.types

# Enum DragAppearance

java.lang.Object
java.lang.Enum<DragAppearance>
com.smartgwt.client.types.DragAppearance

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DragAppearance>`, `Constable`

public enum DragAppearance extends Enum<DragAppearance> implements ValueEnum
Different types of effects for showing dragging behavior.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  No default drag appearance is indicated.
  `OUTLINE`
  An outline the size of the target object is moved, resized, etc.
  `TARGET`
  The target object is actually moved, resized, etc.
  `TRACKER`
  A "drag tracker" object is automatically shown and moved around with the mouse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DragAppearance`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DragAppearance[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final DragAppearance NONE
    No default drag appearance is indicated. Your custom dragging routines should implement some behavior that indicates that the user is in a dragging situation, and where the mouse is.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### TRACKER

    public static final DragAppearance TRACKER
    A "drag tracker" object is automatically shown and moved around with the mouse. This is generally set to an icon that represents what is being dragged. The default tracker is a 10 pixel black square, but you can customize this icon. This dragAppearance is not recommended for use with drag resizing or drag moving.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "tracker".

  - ### TARGET

    public static final DragAppearance TARGET
    The target object is actually moved, resized, etc. in real time. This is recommended for drag repositioning, but not for drag resizing of complex objects.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "target".

  - ### OUTLINE

    public static final DragAppearance OUTLINE
    An outline the size of the target object is moved, resized, etc. with the mouse. This is recommended for drag resizing, especially for objects that take a significant amount of time to draw.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "outline".

- ## Method Details

  - ### values

    public static DragAppearance[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DragAppearance valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`